<?php 
declare(strict_types=0);
foreach($_GET  as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}  
foreach($_POST as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}

$public_path=realpath(__DIR__);
$public_path=substr($public_path,0,strpos($public_path,'public_html')+12 );
chdir($public_path);
chdir('_lib');

include_once('lib_main.php');
$rutacjob='../-cjob';
if(!is_dir($rutacjob)){if(mkdir($rutacjob, 0751, true));}

$message=array();
$modulos=['vtas','comp','inve','caja','bcos','tsor','retc','retp','dxco','dxpa','nomi'];

// 0 dom 6 sab
$xdia=date('w');
$xhora=date('H');
$xminu=date('i');
$xfecha2=date('Y-m-d');

// $m_00=[0];
// $m_x0=[0,10,20,30,40,50];
// $m_x5=[5,15,25,35,45,55];
// $m_x3=[0,20,40];
// $m_x4=[0,15,30,45];
// $m_xx=[0,5,10,15,20,25,30,35,40,45,50,55];

$m_vtas = [0];
$m_comp = [10];
$m_inve = [20];
$m_caja = [30];
$m_bcos = [30];
$m_tsor = [30];
$m_retc = [40];
$m_retp = [40];
$m_dxco = [50];
$m_dxpa = [50];

foreach($modulos as $modulo)
{if(in_array($xminu, ${'m_'.$modulo})){${$modulo}=1;}}

// foreach($modulos as $modulo)
// {${$modulo}=1;}}


$rutas=array();
$rutas[0]=$empr;
if(empty($empr))
{
//////////////////////////////////////////////
// valida cias y crea archivo _empr
//////////////////////////////////////////////
// include_once('cj_empr3.php');
$cd_url='https://vcrxol.com/_lib/cj_empr3.php?empr='.$empr;
file_get_contents($cd_url);
// $emprdb = '../-cjob/-emprdb.txt';
$emprdb = '../-cjob/-empr_cont.txt';
$rutas = file($emprdb, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
//////////////////////////////////////////////
}


//////////////////////////////////////////////
// contabiliza por modulo
//////////////////////////////////////////////
foreach($rutas as $ruta)
{
     $pnume=1;
     foreach($modulos as $modulo)
     {
          
//           echo '<br>===>'.$modulo.' - '.${$modulo};
//           if(1==2)
          if(${$modulo}==1)
          {
               $cd_url='https://'.$ruta.'.vcrxol.com/?scri=cont_docu3&prnt=1&'.$modulo.'=1';
               if(!empty($fecha1)){$cd_url.='&fecha1='.$fecha1;}
               $html_cont=file_get_contents($cd_url);
//                if(mb_stristr($html_cont,'*** CONTAB'))
//                str_pad($pnume, 5, '0', STR_PAD_LEFT);
               {file_put_contents('../-cjob/'.$ruta.'_cont_'.str_pad($pnume, 2, '0', STR_PAD_LEFT).$modulo.'.html',$html_cont);}
//                $html_cont=str_replace('id="brbr" noprint style="height:7em;"','',$html_cont);
//                echo '<br>'.$html_cont;
               
//                $domd=new DOMDocument;
//                $domd->loadHTML($html_cont);
//                $ele_main=$domd->getElementById('main1');
//                $html_docu = $domd->saveHTML($ele_main);
//                $message[$ruta].=$html_docu;
               
          }
          $pnume++;
     }
     file_put_contents('../-cjob/'.$ruta.'_cont.html',$message[$ruta]);
}
//////////////////////////////////////////////

if(!empty($_SESSION['empr_codigo']))
{
     $html_cont=file_get_contents('https://'.$_SESSION['empr_codigo'].'.vcrxol.com/');
     echo '==='.$html_cont;
}

//////////////////////////////////////////////
// genera 1 archivo por cada modulo
//////////////////////////////////////////////
if(1==2)
if(empty($empr))
{
     $pnume=1;
     foreach($modulos as $modulo)
     {
          if(${$modulo}==1)
          {
               file_put_contents('../-cjob/'.'____'.'_cont_'.$pnume.$modulo.'.html',$message[$modulo]);               
               $subject='CJ'.' - '.strtoupper($modulo);
               $subject.=' - '.date('H:i');
               
          }
     }
}
//////////////////////////////////////////////





return;

?>